### Method

# Gtk Widget insert_action_group

#### Declaration [src]

    void
    gtk_widget_insert_action_group (
      GtkWidget* widget,
      const char* name,
      GActionGroup* group
    )

#### Description [src]

Inserts an action group into the widget’s actions.

Children of `widget` that implement `GtkActionable` can then be associated with actions in `group` by setting their “action-name” to `prefix`.`action-name`.

Note that inheritance is defined for individual actions. I.e. even if you insert a group with prefix `prefix`, actions with the same prefix will still be inherited from the parent, unless the group contains an action with the same name.

If `group` is `NULL`, a previously inserted group for `name` is removed from `widget`.

#### Parameters

`name`

  Type: `const char*`

  The prefix for actions in `group`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`group`

  Type: `GActionGroup`

  An action group.

  The argument can be `NULL`.
  The data is owned by the caller of the method.